"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  getConversation: () => getConversation2,
  getOrCreateConversation: () => getOrCreateConversation2
});
module.exports = __toCommonJS(meta_exports);

// src/crm-inbox-v2-conversation-conversations.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressInboxV2ConversationsServiceUrl(opts) {
  const domainToMappings = {
    "www.wixapis.com": [
      {
        srcPath: "/inbox/v2/conversations",
        destPath: "/v2/conversations"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/inbox-platform-conversations",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/crm/inbox/v2/conversations",
        destPath: "/v2/conversations"
      }
    ],
    _: [
      {
        srcPath: "/crm/inbox/v2/conversations",
        destPath: "/v2/conversations"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_inbox_conversations";
function getConversation(payload) {
  function __getConversation({ host }) {
    const metadata = {
      entityFqdn: "wix.crm.inbox.v2.conversation",
      method: "GET",
      methodFqn: "com.wixpress.inbox.v2.ConversationsService.GetConversation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInboxV2ConversationsServiceUrl({
        protoPath: "/v2/conversations/{conversationId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __getConversation;
}
function getOrCreateConversation(payload) {
  function __getOrCreateConversation({ host }) {
    const metadata = {
      entityFqdn: "wix.crm.inbox.v2.conversation",
      method: "POST",
      methodFqn: "com.wixpress.inbox.v2.ConversationsService.GetOrCreateConversation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInboxV2ConversationsServiceUrl({
        protoPath: "/v2/conversations",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __getOrCreateConversation;
}

// src/crm-inbox-v2-conversation-conversations.meta.ts
function getConversation2() {
  const payload = { conversationId: ":conversationId" };
  const getRequestOptions = getConversation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/conversations/{conversationId}",
    pathParams: { conversationId: "conversationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getOrCreateConversation2() {
  const payload = {};
  const getRequestOptions = getOrCreateConversation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v2/conversations",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getConversation,
  getOrCreateConversation
});
//# sourceMappingURL=meta.js.map