// src/crm-inbox-v2-conversation-conversations.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressInboxV2ConversationsServiceUrl(opts) {
  const domainToMappings = {
    "www.wixapis.com": [
      {
        srcPath: "/inbox/v2/conversations",
        destPath: "/v2/conversations"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/inbox-platform-conversations",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/crm/inbox/v2/conversations",
        destPath: "/v2/conversations"
      }
    ],
    _: [
      {
        srcPath: "/crm/inbox/v2/conversations",
        destPath: "/v2/conversations"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_inbox_conversations";
function getConversation(payload) {
  function __getConversation({ host }) {
    const metadata = {
      entityFqdn: "wix.crm.inbox.v2.conversation",
      method: "GET",
      methodFqn: "com.wixpress.inbox.v2.ConversationsService.GetConversation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInboxV2ConversationsServiceUrl({
        protoPath: "/v2/conversations/{conversationId}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __getConversation;
}
function getOrCreateConversation(payload) {
  function __getOrCreateConversation({ host }) {
    const metadata = {
      entityFqdn: "wix.crm.inbox.v2.conversation",
      method: "POST",
      methodFqn: "com.wixpress.inbox.v2.ConversationsService.GetOrCreateConversation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInboxV2ConversationsServiceUrl({
        protoPath: "/v2/conversations",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __getOrCreateConversation;
}

// src/crm-inbox-v2-conversation-conversations.meta.ts
function getConversation2() {
  const payload = { conversationId: ":conversationId" };
  const getRequestOptions = getConversation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/conversations/{conversationId}",
    pathParams: { conversationId: "conversationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getOrCreateConversation2() {
  const payload = {};
  const getRequestOptions = getOrCreateConversation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v2/conversations",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  getConversation2 as getConversation,
  getOrCreateConversation2 as getOrCreateConversation
};
//# sourceMappingURL=meta.mjs.map